import { useEffect, useState } from "react"
import { FetchPost, FetchPost_t, MediaPathTrc } from "./api"
import { z } from 'zod/v4'

type fetched = z.infer<typeof FetchPost_t>

export const Fetch = () => {
	let [fetched, setFetched] = useState<fetched>([])
	useEffect(() => {
		FetchPost().then(e => {
			if (e) {
				setFetched(e)
			}
		}
		)
	}, [])
	return (<div className="h-dvh w-dvw flex flex-col justify-items-center overflow-scroll gap-10 pt-10 pb-10">
		{fetched.map(post => <div className="w-[87%] h-fit  mx-auto border-1 border-slate-700 rounded">
			<p className="text-left mx-2 mt-2">{post.content}</p>
			{post.enclosure.length > 0 && post.enclosure[0] != null && <div className="flex flex-row overflow-scroll w-full h-30 mx-2">
				{post.enclosure.map(enc => {
					if (enc) {
						return <img src={MediaPathTrc(enc)} className="rounded h-full w-auto" />
					} else {
						return ""
					}
				})}
			</div>}
			{post.signing && <p className="text-right mr-3">by: {post.signing}</p>}
			<div className="h-fit flex flex-row text-sm mx-3">
				<p className="self-start">PID: {post.id}</p>
				<p className="self-end ml-auto">發文於: {post.post_at.toLocaleTimeString()}</p>
			</div>


		</div>)}

	</div>)

}
