import { useState } from 'react'

const ImageWithPreview = ({
  src,
  remove,
}: {
  src: string
  remove: () => void
}) => {
  const [show, setShow] = useState(false)
  return (
    <>
      <img
        src={src}
        alt="kkk"
        onClick={() => {
          setShow(true)
        }}
        className="h-full w-auto rounded-xl"
      />
      <div
        className={
          'fixed z-10 backdrop-brightness-50 w-dvw h-dvh top-0 left-0' +
          (show ? '' : ' hidden')
        }
        onClick={() => setShow(false)}
      >
        <div className="z-20 w-full fixed top-1/2 left-1/2 -translate-x-1/2 -translate-y-1/2 md:w-[50dvw]">
          <img src={src} className="w-[90dvw] h-auto m-auto" />
          <button
            type="button"
            className="border w-full"
            onClick={() => remove()}
          >
            刪除
          </button>
        </div>
      </div>
    </>
  )
}
export default ImageWithPreview
