import { useState } from 'react'

export const Zone = ({ setZone }: { setZone: (zone_name: string) => void }) => {
  const [toggle, setToggle] = useState(false)
  return (
    <>

      {toggle && <div className="w-full fixed h-dvh top-0 left-0 z-10 backdrop-brightness-50" >
      </div>}

      <div className={"fixed bottom-0 left-1/2 -translate-x-1/2 z-20 w-[80dvw] bg-zinc-700 rounded transition-all duration-300" + (toggle ? " h-[40dvh]" : "h-fit")}>
        <button onClick={() => setToggle(!toggle)}>Drawer</button>
        {toggle && <div className="h-[40dvh] w-full flex flex-col pt-10 gap-8 text-xl">
          <button onClick={() => { setZone("post"); setToggle(false) }}>PO文</button>
          <button onClick={() => { setZone("delete"); setToggle(false) }}>刪文</button>
          <button onClick={() => { setZone("view"); setToggle(false) }}>查看</button>
        </div>}
      </div>
    </>

  )
}
